{
  config,
  pkgs,
  inputs,
  ...
}:
{
  xdg.enable = true;

  home.stateVersion = "25.05";
  home.username = "imnyang";
  home.homeDirectory = "/Users/imnyang";
  home.packages = import ./packages.nix { inherit pkgs inputs; };

  home.sessionVariables = {
    EDITOR = "nvim";
    VISUAL = "nvim";
  };

  imports = [
    "${inputs.self}/modules/home/neovim.nix"
    "${inputs.self}/modules/home/ghostty.nix"
    "${inputs.self}/modules/home/zed.nix"
    ./config/git.nix
    ./config/shell.nix
  ];
}
